Subject: RE: AD review of: draft-ietf-rap-cops-tls-07.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 6 Apr 2004 23:40:17 +0200

Inline

> -----Original Message-----
> From: Kulkarni, Amol [mailto:[email-masked]]
> Sent: woensdag 31 maart 2004 2:46
> To: Wijnen, Bert (Bert); Walker, Jesse
> Cc: Rap-wg (E-mail)
> Subject: RE: AD review of: draft-ietf-rap-cops-tls-07.txt
> 
> 
> Bert,
> 
> Thanks for evaluating the draft. Please see my reply below.
> 
> Thanks,
> Amol
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Wijnen, Bert (Bert)
> Sent: Thursday, March 25, 2004 1:14 PM
> To: Walker, Jesse
> Cc: Rap-wg (E-mail)
> Subject: AD review of: draft-ietf-rap-cops-tls-07.txt
> 
> Took a while.. but I did find some time to do AD evaluation
> of this document.
> 
> 1. In sect 3.2.1 you talk about Protocol and Flags.
>    How does this fit into the ClientSI object defined in RFC2748.
>    Is this something needs to be addressed/described in IANA
>    Considerations?
>    Where should IANA register this? How are future assignments to
>    be made? For protocols? for flags? 
> 
> 2. In sect 3.2.2 you define new sub-error codes. How does that fit
>    into the definition of RFC2748? Are the sub-error codes zero by
>    default? ANyway, this needs more explanation in IANA considerations
>    as to how/where IANA needs to put these new assignments and how
>    future values can be allocated, no?
> ---------------
> Amol> I'll update the IANA consideration section for points 1 & 2.
> 
OK and thanks

> 3. Section 7 states that the non-well-know port needs to be communicated
>    by the server to the client. But it does not explain how. Am I missing
>    something here?
> ---------------
> Amol> The server redirects the client to the non-well-known port as
> explained in section 4. Maybe there was some confusion over
> communicating the non-well-known port to the client versus communicating
> it to the COPS/TCP server running on the well-known port. The draft
> doesn't specify the latter as it is considered out of scope.
> 
So does that mean that the text needs cleanup or clarification?
Section 7 states (last 5 lines):

    port is any non-well-known port of the PDP's choice. This port MUST
    be communicated to the COPS/TCP server running on the well-known
    COPS TCP port. The PEP may use any TCP port. This does not preclude
    COPS/TLS from running over another transport. TLS only presumes a
    reliable connection-oriented data stream.

So it gives the impression as if something needs to be communicated.
I see that I misread believing that it was communicated to the client.
But it is indeed to the server. So you say that how such is done is
"implementation detail and outside the scope of this doc". Fine.
Maybe you can add that sentence.

> 4. You may want to add IPR and copyright notices as per RFCs3667/8/9
> ---------
> Amol> OK.
> 

Pls go ahead and make those changes. Then hold a day or so to see
of Security ADs have any additional input (I have asked them for that).

Bert